package org.kne.cloud.network.monitor;

import java.util.function.Consumer;


public abstract class MonitorDataImpl implements MonitorData {

	
	private Consumer<MonitorData>changeListener;
	
	public Consumer<MonitorData> getChangeListener() {
		return changeListener;
	}
	public void setChangeListener(Consumer<MonitorData> changeListener) {
		this.changeListener = changeListener;
	}

	
	


@Override
public Object clone() throws CloneNotSupportedException {
	return super.clone();
}

}
